Skip to content

Debian

IgnorantGuru edited this page · 19 revisions

Official Packages

Official packages for spacefm and udevil are available in Debian's stable, testing and unstable repositories. Use your package manager to install them. For example:

apt-get install spacefm udevil

Rolling Release Packages

Mateusz Łukasik's Unstable PPA provides daily builds of SpaceFM's 'next' branch, which is the rolling release version. (Mateusz Łukasik is the official Debian packager for SpaceFM and udevil.)

Net Installer

SpaceFM's net installer may be used to automatically download, build and install any version or branch of SpaceFM. You just need to install the listed build dependencies. The net installer can upgrade any already installed version of SpaceFM. To revert to the official Debian package, just reinstall it.

Build A Binary Package

Easily build your own binary deb package from source using the instructions in README-DEBIAN.

Ubuntu

Mateusz Łukasik's Ubuntu PPA provides stable packages. (Mateusz Łukasik is the official Debian packager for SpaceFM and udevil.) Packages in this PPA also correct Unity issues.

(OLD) From Issue #49:

If you want to have the menus in view from the 'dash' launcher in Unity you need to do the following:

cp /usr/share/applications/spacefm.desktop ~/.local/share/applications/
gedit ~/.local/share/applications/spacefm.desktop

Then edit the Exec= line in that file to:

Exec=env UBUNTU_MENUPROXY= spacefm

Note some other Unity issues, most with workarounds or they're fixed in the PPA above.

Lubuntu

Mateusz Łukasik's PPA provides Lubuntu SpaceFM packages.

For Debian Squeeze

If you have trouble installing libgtk2.0-dev, you may need (from Crunchbang forum):

sudo apt-get install -t squeeze-backports libgtk2.0-dev

(does this fix only apply when using Crunchbang backports?)

Something went wrong with that request. Please try again.